function [sco] = cart2sphm2(X)
%[ sco ] = cart2sphm2( X )
% Transforms cartesian to hyperspherical coordinates, but does not return the radius.
%
% Input:
%   X       cartesian coordinates
%
% Output:
%   sco     angles of spherical coordinates
%           radius is not returned
%
% E.g.: cart2sphm2([2 3 1])
%       cart2sphm([2 3 1])
%
%
% See also: sph2cartm2, cart2sphm, sph2cartm, cart2sphm2
%
% Written by: tommsch, 2018

dim=length(X);
sco=zeros(1,dim-1);

for i=1:dim-1
    sco(i)=acos(X(i)/norm(X(i:end)));
end
if(X(end)<0); sco(dim-1)=-sco(dim-1); end;
%sco(dim)=norm(X);

end

function dummy; end %#ok<DEFNU> %Generates an error, if the 'end' of a function is missing.   