

function minidx = tjsr_getlivevertex_old(type, cellflag) %#ok<DEFNU>
% idx = tjsr_getlivevertex(type, cellflag)
% This function belongs to tjsr!
% returns linear indices of vertices which are not inside the polytope and whose children are not all computed yet
% 
% Input:
%   type        the type struct from tjsr
%   cellflag    returns cell array of indices for each tree
%
% Written by tommsch, 2018

% XX Needs to be rewritten for new estimate
% Info for tommsch: This function is called by computemaxnormval and tjsr_plotoutput

normidx=cell(1,type.counter.numordering);
minidx=cell(1,type.counter.numordering);
statusidx=cell(1,type.counter.numordering);
minlevel=inf;
for i=1:type.counter.numordering
    normidx{i} = type.cyclictree.norm{i}>1-type.opt.epslinprog; %idx of all vertices outside or at the border
    %get all indices where status==0 (no children yet)
    statusidx{i} = type.cyclictree.status{i}==0; %idx of all children
    val=min(type.cyclictree.level{i}(statusidx{i} & normidx{i}));
    if(isempty(val)); val=inf; end;
    minlevel=min(minlevel,val);
end
if(isempty(minlevel)); minlevel=1; end;
vprintf('Minlevel: %i\n', minlevel,'imp',[3 type.opt.verbose])
for i=1:type.counter.numordering
    minidx{i} = normidx{i} & type.cyclictree.level{i}>=minlevel;
end
if(nargin==1 || ~cellflag)
    minidx=[minidx{:}];
end

end

function dummy; end %#ok<DEFNU> %Generates an error, if the 'end' of a function is missing. 