function [ type ] = tjsr_computemaxnormval( type );
% maxnormval = tjsr_computemaxnormval( type );
% This function belongs to tjsr!
% computes the value maxnormval, respects the value of delta and epspolyte
% Input:
%   type        type struct from tjsr
% Output:
%   maxnormval
%
% Written by tommsch, 2019
    
    %get all indices where status==0 and norm is computed 
    statusidx = [type.cyclictree.status{:}]==0;
    normval=[type.cyclictree.norm{:}];
    maxnormval=max(normval(statusidx),[],'includenan');
        
    %consider epspolytope and delta    
    if(isempty(maxnormval)); maxnormval=1; end; %compute maxnormval
    if(isnan(maxnormval)); maxnormval=inf; end;    
    maxnormval=maxnormval*(max(1,1-type.opt.epspolytope))/min(1,type.opt.delta);
    maxnormval=max(maxnormval,1);
    if(maxnormval<type.cyclictree.normlvl(end))
        type.cyclictree.normlvl(end+1)=maxnormval;
    else
        type.cyclictree.normlvl(end+1)=type.cyclictree.normlvl(end);
    end
    
    if(type.cyclictree.normlvl(end)*type.lambda<type.JSR(2));
        type.JSR(2)=type.cyclictree.normlvl(end)*type.lambda;
    end

end

function dummy; end %#ok<DEFNU> %Generates an error, if the 'end' of a function is missing.   