function M = mat(v,n)
% [ M ] = mat( v, [n] )
%
% Input:
%   v       vector of length 2^n
%   [n]     (optional) the value of n.
%           If n is not given, it is computed
%
% Output:
%   M       the converted matrix
%
% See also: vec


if(nargin < 2)
    n = floor(sqrt(length(v)));
end
M = reshape(v,n,n);

end

function dummy; end %#ok<DEFNU> %Generates an error, if the 'end' of a function is missing. 